Subject: bug#4209: 23.1; Emacs 23.1 regression in re-search-forward

From: Kenichi Handa <[email-masked]>
Date: Wed, 27 Jan 2010 14:41:11 +0900

In article <[email-masked]>, Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Chong Yidong <[email-masked]> writes:
> > Hi Handa-san,
> > Could you try to investigate Bug#4209?

> Ok, I'll work on it.

I fixed it as below.

=== modified file 'src/regex.c'
--- src/regex.c	2010-01-13 08:35:10 +0000
+++ src/regex.c	2010-01-27 03:57:03 +0000
@@ -4083,8 +4083,7 @@
 		     the corresponding multibyte character.  */
 		  int c = RE_CHAR_TO_MULTIBYTE (p[1]);
 
-		  if (! CHAR_BYTE8_P (c))
-		    fastmap[CHAR_LEADING_CODE (c)] = 1;
+		  fastmap[CHAR_LEADING_CODE (c)] = 1;
 		}
 	    }
 	  break;

But, first of all, I don't know (remember) why there was this check:

   if (! CHAR_BYTE8_P (c))

I may have overlooked something.  Stefan, could you please
confirm that the above change is correct?

---
Kenichi Handa
[email-masked]